Bug 1315949 - If you choose Automatic Placement for Azure Instance, it complains that required fields are missing.
If you choose Automatic Placement for Azure Instance, it complains that requi...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: William Fitzgerald
Jeff Teehan
Depends On:
  Show dependency treegraph
Reported: 2016-03-09 00:40 EST by Jeff Teehan
Modified: 2016-10-03 12:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, provisioning for Azure Best fit did not select automatically for environment fields. As a result, you needed to manually select environment fields for Azure Best fit. This fix modified yaml file, created best fit Azure method, added field azure to the Placement class and configured best fit Azure method for Azure. Best fit for Azure will now select automatically for environment fields.
Story Points: ---
Clone Of:
Last Closed: 2016-06-29 11:40:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Azure

Attachments (Terms of Use)

  None (edit)
Description Jeff Teehan 2016-03-09 00:40:41 EST
Description of problem:
For provisioning of an Azure VM, if you choose Automatic Placement under the Environment Tab and click Submit, it complains that required fields have not been selected.  Problem is, you can't select those fields if you choose automatic placement.

Personally, I'd get rid of Automatic Placement for 5.6 as I can see endless scenarios where it won't be able to work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Provision an Azure VM and fill out everything except Environment.
2.  At the Environment Tab, click the Placement:  Choose Automatically checkbox.
3.  Click Submit

Actual results:
Flash message appears saying you must select a Virtual Private Cloud.

Expected results:
It should pick automatically.  Again, I really don't think it can.

Additional info:
Comment 3 CFME Bot 2016-03-11 10:40:50 EST
New commit detected on ManageIQ/manageiq/master:

commit 9295db066f6294fcf3c6b549971c3f54982d3e10
Author:     william fitzgerald <wfitzger@redhat.com>
AuthorDate: Wed Mar 9 20:15:25 2016 -0500
Commit:     william fitzgerald <wfitzger@redhat.com>
CommitDate: Thu Mar 10 11:38:58 2016 -0500

    Automate - Added automatic placement for Azure
    Added field azure to the Placement class
    Added best_fit_azure method.
    Modified yaml file for auto placement.
    Create spec for testing
    Modified security_groups to  singular in mixing method.

 .../VM/Provisioning/Placement.class/__class__.yaml | 20 +++++++++++
 .../Placement.class/__methods__/best_fit_azure.rb  | 37 ++++++++++++++++++++
 .../__methods__/best_fit_azure.yaml                | 12 +++++++
 .../VM/Provisioning/Placement.class/default.yaml   |  2 ++
 .../miq_provision_azure_dialogs_template.yaml      |  2 ++
 .../method_validation/azure_auto_placement_spec.rb | 40 ++++++++++++++++++++++
 6 files changed, 113 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Placement.class/__methods__/best_fit_azure.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Placement.class/__methods__/best_fit_azure.yaml
 create mode 100644 spec/automation/unit/method_validation/azure_auto_placement_spec.rb
Comment 4 Jeff Teehan 2016-04-28 12:34:38 EDT
Well, the specific error is gone, but this still isn't working.  Getting error [NoMethodError]: undefined method `ems_ref' for nil:NilClass and no VM.  Probably because the automatic placement idea is a bad one, that and the way we do the Security groups is also wrong.

We can either close this and open a new one down the line or reopen this and get it running end to end.

I'm going to kick this back for now with the understanding you may place it in ON_QA again, in which case I'll open a new issue.

Comment 5 William Fitzgerald 2016-06-14 18:03:44 EDT

Since this is a different issue, can you please open a new ticket?


Comment 6 Jeff Teehan 2016-06-14 19:13:20 EDT
Hmm, last I checked it was working.  Let me process the ON_QA and then if I still see the error, I open a new bug.  Thanks.
Comment 7 Jeff Teehan 2016-06-15 15:10:38 EDT
This has been working for several builds now, including today's RC2.2.  I'm moving it to verified.  I think it was fixed with the Security Group fix.   Used
Comment 9 errata-xmlrpc 2016-06-29 11:40:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 10 Jeff Teehan 2016-10-03 12:11:31 EDT
Added Polarion test case

Note You need to log in before you can comment on or make changes to this bug.